Bug 102413 - Festival port makes build with ESD difficult
Summary: Festival port makes build with ESD difficult
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-23 02:00 UTC by russo
Modified: 2007-04-16 18:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description russo 2006-08-23 02:00:32 UTC
Somewhere along the line the port for festival changed from supporting "esd" to not supporting it.  The pkg-descr file explains that one should use a specific "(Parameter.set" command to enable esdaudio, but if one does that the festival daemon simply reports "ESD playback not supported".

Fix: 

I had festival installed from a very long time ago and esd was supported back then --- it was only when I just did a portupgrade that it broke.  I dug around and found that all that it took to enable it was to uncomment the one line in work/speech-tools/config/config:

INCLUDE_MODULES += ESD_AUDIO


This is precisely what the port "festival+OGI" does in one of its patch files.

I would like to see NAS and ESD support both individual options so that if one is using only one of these sound systems then festival can be made to work with it.

For the nonce, I manually edited work/speech-tools/config/config after a "make configure", and manually edited "LIB_DEPENDS" so that the dependency could be recorded.  Once I did a "make install" of this manually tweaked port, I could enable esd support with the "Parameter.set" method in pkg-descr.  It works perfectly with esd support after doing so, and the newly installed festival properly records its dependency on esound.
How-To-Repeat: Install esd and festival from ports.  Start esd daemon, e.g. "esd -d /dev/dsp".  Start festival server: festival --server &
Telnet to festival port: telnet localhost 1314
Try to say something:
  (SayText "Foobie")

You'll either get an error that it can't connect to /dev/dsp, or if you've followed pkg-descr's instructions and added "(Parameter.Set AudioMethod 'esdaudio)" to /usr/local/share/festival/lib/siteinit.scm, an error that "ESD playback not supported."
Comment 1 Edwin Groothuis freebsd_committer 2006-08-23 02:06:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Pav Lucistnik freebsd_committer 2006-10-07 22:36:33 UTC
State Changed
From-To: feedback->open

Assign to maintainer 


Comment 3 Pav Lucistnik freebsd_committer 2006-10-07 22:36:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

Assign to maintainer
Comment 4 Mikhail Teterin 2006-10-08 15:25:33 UTC
Hi, Thomas!

Would you submit the patch, please? Thanks!

	-mi
Comment 5 russo 2006-10-10 13:12:42 UTC
On Sun, Oct 08, 2006 at 10:25:33AM -0400, we recorded a bogon-computron collision of the <mi+kde@aldan.algebra.com> flavor, containing:
> Hi, Thomas!
> 
> Would you submit the patch, please? Thanks!

I'm sorry, I don't think I know how to make a patch that would allow the
full flexibility of turning esd support on or off.  I was able to figure
out how to kludge it so that esd support could be enabled --- it amounted 
to uncommenting one line in the one file I mentioned in the bug report and
adding "esd" to the top-level Makefile's LIB_DEPENDS, but I wouldn't know how 
to apply that conditionally through the top-level makefile.

-- 
Tom Russo    KM5VY   SAR502   DM64ux          http://www.swcp.com/~russo/
Tijeras, NM  QRPL#1592 K2#398  SOC#236 AHTB#1 http://kevan.org/brain.cgi?DDTNM
"And, isn't sanity really just a one-trick pony anyway? I mean all you get is
 one trick, rational thinking, but when you're good and crazy, oooh, oooh,
 oooh, the sky is the limit!"  --- The Tick
Comment 6 russo 2006-10-10 13:24:13 UTC
On Tue, Oct 10, 2006 at 06:12:42AM -0600, we recorded a bogon-computron collision of the <russo@bogodyn.org> flavor, containing:
> On Sun, Oct 08, 2006 at 10:25:33AM -0400, we recorded a bogon-computron collision of the <mi+kde@aldan.algebra.com> flavor, containing:
> > Hi, Thomas!
> > 
> > Would you submit the patch, please? Thanks!
> 
> I'm sorry, I don't think I know how to make a patch that would allow the
> full flexibility of turning esd support on or off.  I was able to figure
> out how to kludge it so that esd support could be enabled --- it amounted 
> to uncommenting one line in the one file I mentioned in the bug report and
> adding "esd" to the top-level Makefile's LIB_DEPENDS, but I wouldn't know how 
> to apply that conditionally through the top-level makefile.

For what it's worth, the 'festival+OGI' port has a patch file (patch-ad) that
enables NAS and ESD support in that port.  It was where I looked to figure
out how to enable it in the vanilla festival port.

If that patch is made unconditionally (as it used to be), then festival will 
require both NAS and ESD for building, which is probably too much bloat for 
most users' taste --- one generally doesn't use both at once, why require 
both?  So ideally, the port should support WITH_NAS and WITH_ESD options, and 
have two alternate patch files similar to festival+OGI's patch-ad that are 
selected based on the chosen options.  I don't know how to do that within 
FreeBSD's ports makefile set-up.

-- 
Tom Russo    KM5VY   SAR502   DM64ux          http://www.swcp.com/~russo/
Tijeras, NM  QRPL#1592 K2#398  SOC#236 AHTB#1 http://kevan.org/brain.cgi?DDTNM
"And, isn't sanity really just a one-trick pony anyway? I mean all you get is
 one trick, rational thinking, but when you're good and crazy, oooh, oooh,
 oooh, the sky is the limit!"  --- The Tick
Comment 7 Mikhail Teterin 2006-10-10 20:47:12 UTC
צ×ÔÏÒÏË 10 ÖÏ×ÔÅÎØ 2006 08:30, Tom Russo ÎÁÐÉÓÁ×:
> For what it's worth, the 'festival+OGI' port has a patch file (patch-ad)
> that enables NAS and ESD support in that port. It was where I looked to
> figure out how to enable it in the vanilla festival port.

Sorry, Tom, but port-freeze happened today. I'll look into the matter once the 
ports are unfrozen again, but the change will not make it into 6.2, unless 
portmgr@ gives me a permission...

	-mi
Comment 8 dfilter service freebsd_committer 2007-03-26 09:48:50 UTC
mi          2007-03-26 08:48:43 UTC

  FreeBSD ports repository

  Modified files:
    audio/festival       Makefile distinfo 
  Added files:
    audio/festival/files patch-intptr_t patch-tests 
  Removed files:
    audio/festival/files patch-speech_tools_voxware.cc 
  Log:
  Update to 1.96 (speech_tools 1.2.96) beta. The new version compiles with
  gcc-4.2. Add some 64-bitness patches. Enable automatic post-build tests.
  
  Attempt to allow ESound and NAS modules via OPTIONS:
  
  PR:     ports/102413
  
  Both are on by default ATM...
  
  Revision  Changes    Path
  1.37      +31 -8     ports/audio/festival/Makefile
  1.6       +6 -21     ports/audio/festival/distinfo
  1.1       +364 -0    ports/audio/festival/files/patch-intptr_t (new)
  1.3       +0 -16     ports/audio/festival/files/patch-speech_tools_voxware.cc (dead)
  1.1       +22 -0     ports/audio/festival/files/patch-tests (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Mikhail Teterin 2007-03-26 09:50:17 UTC
Hi, Tom!

Please, check, if today's version of the port works for you...

Both ESD and NAS are now controlled via OPTIONS (both are on by default).

Thanks! Yours,

	-mi
Comment 10 Mikhail Teterin freebsd_committer 2007-04-16 18:42:44 UTC
State Changed
From-To: open->closed

The port was updated 3 weeks ago making ESD and NAS backends controllable 
via OPTIONS.